import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

  const routes = [
  {
    path: '/',
    name: '首页',
    component: () => import('@/index'),
	redirect: "guide",
	children:[
		{
		  path: '/guide',
		  name: '设置向导',
		  component: () => import('@/views/guide.vue')
		},
		{
		  path: '/rule',
		  name: '积分规则',
		  component: () => import('@/views/rule.vue')
		},
		{
		  path: '/framework',
		  name: '组织架构',
		  component: () => import('@/views/framework.vue')
		},
		{
		  path: '/jurisdiction',
		  name: '角色权限',
		  component: () => import('@/views/jurisdiction.vue')
		},
		{
		  path: '/initialPoint',
		  name: '初始分',
		  component: () => import('@/views/initialPoint.vue')
		},
		{
		  path: '/check',
		  name: '考勤积分',
		  component: () => import('@/views/check.vue')
		},
		{
		  path: '/voluntarilyPoint',
		  name: '自动积分',
		  component: () => import('@/views/voluntarilyPoint.vue')
		}
	]
  },
]

const router = new VueRouter({
  // mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
